<h1>WPSSO Core</h1><h3>The Complete Meta Tag and Schema Markup Solution</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Core</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Makes sure your content looks great on all social and search sites - no matter how webpage URLs are crawled, shared, re-shared, posted, or embedded.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>6.21.2</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>5.5 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>4.0 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>5.3.2</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WooCommerce</th><td>3.9.1</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>open graph, meta tags, rich pins, twitter cards, schema, rich results, embed, social sharing, structured data, snippet, seo, facebook, twitter, linkedin, pinterest, google, schema.org</td></tr>
</table>

<h2>Description</h2>

<p style="margin:0;"><img class="readme-icon" src="https://surniaulula.github.io/wpsso/assets/icon-256x256.png"></p>

<p><strong>Makes sure your content looks great on all social and search sites - no matter how webpage URLs are crawled, shared, re-shared, posted, or embedded:</strong></p>

<p>WPSSO Core and its complementary add-ons are provide comprehensive information about your webpage content to social sites (Facebook, Pinterest, Twitter, LinkedIn, etc.), search engines and crawlers (Google, Bing, etc.), mail and text messaging apps (Facebook Messenger, iMessage, Skype, WhatsApp, etc.), REST API clients, and oEmbed data for embedded objects / iframes (LinkedIn, WordPress, etc.) &mdash; all from your existing WordPress content and plugin data.</p>

<p>No other meta tag or Schema plugin satisfies all these essential social and search markup standards.</p>

<p><strong>Uses your existing WordPress content and plugin / API data:</strong></p>

<p>There's no need to manually duplicate or re-enter descriptions, titles, product information, re-select images / videos, etc. WPSSO reads your existing post, page, product, media, recipe, event, forum, and SEO content automatically &mdash; while also offering fine-tuning and customization options for just about everything. ;-)</p>

<p><strong>Creates complete and accurate meta tags and Schema markup:</strong></p>

<p>WPSSO Core and its complementary add-ons create meta tags and Schema markup for Facebook / Open Graph, Google's Knowledge Graph, Google Rich Results (previously known as Rich Snippets) with Structured Data, Mobile Web Browsers, oEmbed data for LinkedIn, Pinterest Rich Pins, Twitter Cards, Weibo and many more &mdash; including complete markup for image SEO, video SEO, extensive e-Commerce product markup (for WooCommerce and others), mobile apps, author profile / authorship, co-authors, publisher information, local business markup, aggregate ratings, reviews, recipe information, event details, and much, much more &mdash; all from your existing WordPress content and plugin data!</p>

<p>WPSSO Core is language / locale aware, which means you can customize your site information, social page URLs and Knowledge Graph information for different languages.</p>

<p><strong>Includes quality assurance features and options:</strong></p>

<ul>
<li>Checks and warns of any missing PHP modules.</li>
<li>Checks 3rd party plugin settings for possible conflicts.</li>
<li>Checks for minimum / maximum image dimensions and aspect ratios.</li>
<li>Shows notices for missing and required images.</li>
<li>Validates theme header templates for correct HTML markup.</li>
<li>Verifies webpage HTML for duplicate meta tags.</li>
</ul>

<p><strong>Coded for maximum performance:</strong></p>

<p>WPSSO Core makes full use of all available caching methods &mdash; along with offering advanced caching features like pre-seeding its cache in background. WPSSO Core and its complementary add-ons only load the libraries and classes they need, keeping their code small, fast and light. All code is fully tested and compatible with the latest version of WordPress and PHP v7.x (PHP v5.5 or newer required).</p>

<h3>Users Love the WPSSO Core Plugin</h3>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "This plugin has been a lifesaver in terms of making our images and links and descriptions look beautiful everywhere we post them! It’s so easy to use and the preview functions are incredibly helpful." - <a href="https://wordpress.org/support/topic/love-this-plugin-789/">lotusblooms</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "What a fantastic plugin. If you want to fix all the errors in search console for structured data, this is the plugin to use. Love it." - <a href="https://wordpress.org/support/topic/makes-schema-so-easy/">goviral</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "This plugin saves me so much time, and it has really lifted my SERP rankings. Most of my keywords I now rank 1-3 position. I also noticed after about a week that my impressions have gone up at least 75%. I upgraded to the pro version which gave me even more options." - <a href="https://wordpress.org/support/topic/excellent-plugin-and-support-200/">playnstocks</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "Yoast on steroids! As an SEO marketer, I love using Yoast for my basic on-page SEO. But Yoast only allows you to enter basic Open Graph social settings. This plugin gives you SO many more options on completing the Open Graph for Facebook, Twitter cards, Pinterest etc. If you use WordPress, I totally recommend using this plugin to help with better rankings in the SERPS!" - <a href="https://wordpress.org/support/topic/yoast-on-steroids/">gregmontag</a></p>

<h3>WPSSO Core Standard Features</h3>

<ul>
<li><p>Complete and accurate meta tags for all social sites, search engines, web browser extensions, mail and messaging apps, and embedded object / iframe content.</p></li>
<li><p>Updates WordPress oEmbed data with the Open Graph title, description, and image for posts, pages, and custom post types.</p></li>
<li><p>Offers meta tags and markup for all webpages, including:</p>

<ul>
<li>Home (Static Page or Blog)</li>
<li>Posts, Pages, and Custom Post Types</li>
<li>Categories, Tags, and Custom Taxonomy / Terms</li>
<li>User Profile Pages</li>
<li>Media Attachment Pages</li>
<li>Search Result Pages</li>
</ul></li>
<li><p>Custom WordPress image size settings for:</p>

<ul>
<li>Open Graph (Facebook and Others)</li>
<li>Schema (Google and Pinterest)</li>
<li>Schema Article (Google and Pinterest)</li>
<li>Schema Article AMP 1:1 (Google)</li>
<li>Schema Article AMP 4:3 (Google)</li>
<li>Schema Article AMP 16:9 (Google)</li>
<li>Schema Thumbnail Image</li>
<li>Twitter Summary Card</li>
<li>Twitter Large Image Summary Card</li>
</ul></li>
<li><p>Capable of finding images from numerous sources, including featured, attached, gallery shortcode, images from HTML tags, or a custom fallback image.</p></li>
<li><p>Contextual help for every plugin option and <a href="https://wpsso.com/docs/plugins/wpsso/">comprehensive online documentation</a>.</p></li>
<li><p>Built-in support for AMP plugins:</p>

<ul>
<li><a href="https://wordpress.org/plugins/amp/">AMP</a></li>
<li><a href="https://wordpress.org/plugins/better-amp/">Better AMP</a></li>
<li><a href="https://wordpress.org/plugins/accelerated-mobile-pages/">AMP for WP</a></li>
</ul></li>
<li><p>Built-in support for caching plugins:</p>

<ul>
<li>Autoptimize</li>
<li>Cache Enabler</li>
<li>Comet Cache</li>
<li>LiteSpeed Cache</li>
<li>Hummingbird Cache</li>
<li>Pagely, Siteground Optimizer</li>
<li>W3 Total Cache (aka W3TC)</li>
<li>WP Engine Cache</li>
<li>WP Fastest Cache</li>
<li>WP Rocket Cache</li>
<li>WP Super Cache.</li>
</ul></li>
<li><p>Built-in support for advanced WordPress configurations:</p>

<ul>
<li>WordPress MU Domain Mapping</li>
<li>Network / Multisite Installations</li>
</ul></li>
<li><p>Includes advanced quality assurance features and options:</p>

<ul>
<li>Checks and warns of any missing PHP modules.</li>
<li>Checks 3rd party plugin settings for possible conflicts.</li>
<li>Checks for minimum / maximum image dimensions and aspect ratios.</li>
<li>Shows notices for missing and required images.</li>
<li>Validates theme header templates for correct HTML markup.</li>
<li>Verifies webpage HTML for duplicate meta tags.</li>
</ul></li>
</ul>

<h3>Free Complementary Add-ons</h3>

<p>Need even more features?</p>

<p>Simply activate the free complementary add-on(s) you need:</p>

<ul>
<li><a href="https://wordpress.org/plugins/wpsso-faq/">WPSSO FAQ Manager</a> to manage FAQ categories with Question and Answer pages.</li>
<li><a href="https://wordpress.org/plugins/wpsso-am/">WPSSO Mobile App Meta</a> to manage mobile App information.</li>
<li><a href="https://wordpress.org/plugins/wpsso-organization/">WPSSO Organization Markup</a> to manage multiple Organizations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-plm/">WPSSO Place and Local SEO Markup</a> to manage multiple locations.</li>
<li><a href="https://wordpress.org/plugins/wpsso-ratings-and-reviews/">WPSSO Ratings and Reviews</a> to add ratings in WordPress comments.</li>
<li><a href="https://wordpress.org/plugins/wpsso-rest-api/">WPSSO REST API</a> to add meta tags and Schema markup in REST API queries.</li>
<li><a href="https://wordpress.org/plugins/wpsso-rrssb/">WPSSO Ridiculously Responsive Social Sharing Buttons</a> to add responsive share buttons.</li>
<li><a href="https://wordpress.org/plugins/wpsso-breadcrumbs/">WPSSO Schema Breadcrumbs Markup</a> to add Breadcrumbs markup for Google.</li>
<li><a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WPSSO Schema JSON-LD Markup</a> to add JSON-LD in post and archive pages.</li>
<li><a href="https://wordpress.org/plugins/wpsso-ssb/">WPSSO Social Sharing Buttons</a> to add traditional share buttons.</li>
<li><a href="https://wordpress.org/plugins/wpsso-strip-schema-microdata">WPSSO Strip Schema Microdata</a> to strip incorrect markup from templates.</li>
<li><a href="https://wordpress.org/plugins/wpsso-tune-image-editors">WPSSO Tune Image Editors</a> for better looking WordPress thumbnails.</li>
<li><a href="https://wordpress.org/plugins/wpsso-tweet-a-quote">WPSSO Tweet a Quote</a> to add tweetable quotes to your content.</li>
<li><a href="https://wordpress.org/plugins/wpsso-user-locale">WPSSO User Locale Selector</a> to switch languages quickly and easily.</li>
</ul>

<h3>WPSSO Core Premium Features</h3>

<p>The Standard version is designed to satisfy the requirements of most standard WordPress sites / blogs. If your site requires additional plugin or service API integration, like WooCommerce shops, embedded video support, or advanced customization features, then you may want the Premium version for those additional features.</p>

<ul>
<li><p>Customize default values in the Document SSO metabox when editing posts, pages, custom post types, terms (categories and tags), custom post types, and user profiles:</p>

<ul>
<li>Customize Text

<ul>
<li>Schema Type</li>
<li>Open Graph Type</li>
<li>Default Title</li>
<li>Default Description</li>
<li>Pinterest Image Description</li>
<li>Twitter Card Description</li>
<li>Search Description</li>
<li>Sharing URL</li>
<li>Canonical URL</li>
<li>Article Information

<ul>
<li>Article Section</li>
</ul></li>
<li>Basic Product Information

<ul>
<li>Product Brand</li>
<li>Product Price and Currency</li>
<li>Product Availability</li>
<li>Product Condition</li>
<li>Product Material</li>
<li>Product Color</li>
<li>Product Target Gender</li>
<li>Product Size</li>
<li>Product Weight (kg)</li>
<li>Product SKU</li>
<li>Product MPN</li>
<li>Product ISBN</li>
</ul></li>
</ul></li>
<li>Priority Media

<ul>
<li>Facebook / Open Graph and Default Media

<ul>
<li>Priority Image Information

<ul>
<li>Maximum Images</li>
<li>Image ID</li>
<li>or Image URL</li>
</ul></li>
<li>Priority Video Information

<ul>
<li>Include Preview Images</li>
<li>Maximum Videos</li>
<li>Video Size</li>
<li>or Video URL</li>
<li>Video Name / Title</li>
<li>Video Description</li>
</ul></li>
</ul></li>
<li>Twitter Card

<ul>
<li>Image ID</li>
<li>or Image URL</li>
</ul></li>
<li>Schema JSON-LD Markup / Rich Results

<ul>
<li>Maximum Images</li>
<li>Image ID</li>
<li>or Image URL</li>
</ul></li>
</ul></li>
</ul></li>
<li><p>Optionally upscale small images from the Media Library for social sharing and Schema markup.</p></li>
<li><p>Automatically validate all image minimum / maximum dimensions and aspect ratios.</p></li>
<li><p>Render shortcodes and blocks for accurate description texts and embedded video detection.</p></li>
<li><p>Additional Facebook, Open Graph, Rich Pin meta tags and Schema markup for videos and e-Commerce products.</p></li>
<li><p>Support for embedded videos from Facebook, Slideshare, Vimeo, Wistia, and Youtube in content text.</p></li>
<li><p>Twitter <a href="https://dev.twitter.com/cards/types/player">Player Card</a> for embedded videos from Facebook, Slideshare, Vimeo, Wistia, and Youtube.</p></li>
<li><p>URL shortening with Bitly, DLMY.App, Google, Ow.ly, TinyURL, or YOURLS.</p></li>
<li><p>Integrates with services and 3rd party plugins for additional image, video, e-Commerce product details, SEO settings, and more.</p></li>
<li><p>The following integration modules are provided with the Premium plugin, and are automatically loaded when the supported services are required or 3rd party plugins detected.</p>

<ul>
<li><p><strong>Integration with 3rd Party Plugins:</strong></p>

<ul>
<li><a href="https://wordpress.org/plugins/all-in-one-seo-pack/">All in One SEO Pack</a></li>
<li><a href="https://wordpress.org/plugins/bbpress/">bbPress</a></li>
<li><a href="https://wordpress.org/plugins/buddypress/">BuddyPress</a> (including Group Forum Topics)</li>
<li><a href="https://wordpress.org/plugins/co-authors-plus/">Co-Authors Plus</a> (including Guest Authors)</li>
<li><a href="https://wordpress.org/plugins/easy-digital-downloads/">Easy Digital Downloads</a></li>
<li>Gravity Forms + GravityView</li>
<li><a href="https://wordpress.org/plugins/nextcellent-gallery-nextgen-legacy/">NextCellent Gallery - NextGEN Legacy</a></li>
<li><a href="https://wordpress.org/plugins/nextgen-gallery/">NextGEN Gallery</a></li>
<li><a href="https://wordpress.org/plugins/perfect-woocommerce-brands/">Perfect WooCommerce Brands</a></li>
<li><a href="https://wordpress.org/plugins/polylang/">Polylang</a></li>
<li><a href="https://wordpress.org/plugins/product-gtin-ean-upc-isbn-for-woocommerce/">Product GTIN (EAN, UPC, ISBN) for WooCommerce</a></li>
<li><a href="https://wordpress.org/plugins/rate-my-post/">Rate my Post</a></li>
<li><a href="https://wordpress.org/plugins/buddypress-media/">rtMedia for WordPress, BuddyPress and bbPress</a></li>
<li><a href="https://wordpress.org/plugins/simple-job-board/">Simple Job Board</a></li>
<li><a href="https://wordpress.org/plugins/the-events-calendar/">The Events Calendar</a></li>
<li><a href="https://wordpress.org/plugins/autodescription/">The SEO Framework</a></li>
<li><a href="https://wordpress.org/plugins/woocommerce/">WooCommerce</a></li>
<li><a href="https://woocommerce.com/products/brands/">WooCommerce Brands</a></li>
<li><a href="https://wordpress.org/plugins/woocommerce-currency-switcher/">WooCommerce Currency Switcher</a></li>
<li><a href="https://wordpress.org/plugins/woo-add-gtin/">WooCommerce UPC, EAN, and ISBN</a></li>
<li>WooCommerce Show Single Variations</li>
<li><a href="https://wordpress.org/plugins/wp-e-commerce/">WP eCommerce</a></li>
<li><a href="https://wordpress.org/plugins/wp-job-manager/">WP Job Manager</a></li>
<li><a href="https://wordpress.org/plugins/wp-meta-seo/">WP Meta SEO</a></li>
<li><a href="https://wordpress.org/plugins/wp-postratings/">WP-PostRatings</a></li>
<li><a href="https://wordpress.org/plugins/wp-product-review/">WP Product Review</a></li>
<li><a href="https://wordpress.org/plugins/wp-recipe-maker/">WP Recipe Maker</a></li>
<li><a href="https://wordpress.org/plugins/wp-ultimate-recipe/">WP Ultimate Recipe</a></li>
<li><a href="https://wpml.org/">WPML</a></li>
<li><a href="https://wordpress.org/plugins/search/yith-woocommerce-brands-add-on/">YITH WooCommerce Brands Add-on</a></li>
<li><a href="https://wordpress.org/plugins/wordpress-seo/">Yoast SEO</a> (aka WordPress SEO)</li>
<li><a href="https://wordpress.org/plugins/yotpo-social-reviews-for-woocommerce/">Yotpo Social Reviews for WooCommerce</a></li>
</ul></li>
<li><p><strong>Integration with Service APIs:</strong></p>

<ul>
<li>Bitly</li>
<li>DLMY.App</li>
<li>Facebook Embedded Videos</li>
<li>Gravatar (Author Image)</li>
<li>Ow.ly</li>
<li>Slideshare Presentations</li>
<li>Soundcloud Tracks (for the Twitter Player Card)</li>
<li>TinyURL</li>
<li>Vimeo Videos</li>
<li>Wistia Videos</li>
<li>WordPress Video Shortcode (and Self-Hosted Videos)</li>
<li>Your Own URL Shortener (YOURLS)</li>
<li>YouTube Videos and Playlists</li>
</ul></li>
</ul></li>
<li><p>Additional custom Schema options in the Document SSO metabox are available with the <a href="https://wpsso.com/extend/plugins/wpsso-schema-json-ld/">WPSSO Schema JSON-LD Markup Premium add-on</a>:</p>

<ul>
<li>All Schema Types

<ul>
<li>Name / Title</li>
<li>Alternate Name</li>
<li>Description</li>
<li>Microdata Type URLs</li>
<li>Same-As URLs</li>
</ul></li>
<li>Creative Work Information

<ul>
<li>Is Part of URL</li>
<li>Headline</li>
<li>Full Text</li>
<li>Keywords</li>
<li>Language</li>
<li>Family Friendly</li>
<li>Copyright Year</li>
<li>License URL</li>
<li>Publisher</li>
<li>Provider</li>
</ul></li>
<li>Event Information

<ul>
<li>Event Language</li>
<li>Event Organizer Org</li>
<li>Event Organizer Person</li>
<li>Event Performer Org</li>
<li>Event Performer Person</li>
<li>Event Venue</li>
<li>Event Start (date, time, timezone)</li>
<li>Event End (date, time, timezone)</li>
<li>Event Offers Start (date, time, timezone)</li>
<li>Event Offers End (date, time, timezone)</li>
<li>Event Offers (name, price, currency, availability)</li>
</ul></li>
<li>How-To

<ul>
<li>How-To Makes </li>
<li>How-To Preparation Time </li>
<li>How-To Total Time </li>
<li>How-To Supplies </li>
<li>How-To Tools </li>
<li>How-To Steps (section name, section description, step name, and direction text)</li>
</ul></li>
<li>Job Posting Information

<ul>
<li>Job Posting Job Title</li>
<li>Job Posting Hiring Organization</li>
<li>Job Posting Job Location</li>
<li>Job Posting Base Salary</li>
<li>Job Posting Employment Type</li>
<li>Job Posting Expires</li>
</ul></li>
<li>Movie Information

<ul>
<li>Cast Names</li>
<li>Director Names</li>
<li>Production Company</li>
<li>Movie Runtime</li>
</ul></li>
<li>Organization Information

<ul>
<li>Select an Organization</li>
</ul></li>
<li>Person Information

<ul>
<li>Alternate Person</li>
</ul></li>
<li>Additional Product Information

<ul>
<li>Product Length (cm)</li>
<li>Product Width (cm)</li>
<li>Product Height (cm)</li>
<li>Product Depth (cm)</li>
<li>Product Volume (ml)</li>
<li>Product GTIN-14</li>
<li>Product GTIN-13/EAN</li>
<li>Product GTIN-12/UPC</li>
<li>Product GTIN-8</li>
<li>Product GTIN</li>
</ul></li>
<li>QA Page Information

<ul>
<li>QA Heading</li>
</ul></li>
<li>Recipe Information

<ul>
<li>Recipe Cuisine </li>
<li>Recipe Course </li>
<li>Recipe Makes </li>
<li>Recipe Cooking Method </li>
<li>Recipe Preparation Time </li>
<li>Recipe Cooking Time </li>
<li>Recipe Total Time </li>
<li>Recipe Total Calories </li>
<li>Recipe Ingredients </li>
<li>Recipe Instructions </li>
<li>Recipe Nutrition Information per Serving 

<ul>
<li>Serving Size</li>
<li>Calories</li>
<li>Protein</li>
<li>Fiber</li>
<li>Carbohydrates</li>
<li>Sugar</li>
<li>Sodium</li>
<li>Fat</li>
<li>Saturated Fat</li>
<li>Unsaturated Fat</li>
<li>Trans Fat</li>
<li>Cholesterol</li>
</ul></li>
</ul></li>
<li>Review Information

<ul>
<li>Review Rating </li>
<li>Rating Value Name</li>
<li>Subject of the Review

<ul>
<li>Subject Webpage Type </li>
<li>Subject Webpage URL </li>
<li>Subject Same-As URL </li>
<li>Subject Name </li>
<li>Subject Description </li>
<li>Subject Image ID or URL </li>
<li>Claim Subject Information

<ul>
<li>Short Summary of Claim</li>
<li>First Appearance URL</li>
</ul></li>
<li>Creative Work Subject Information

<ul>
<li>C.W. Author Type</li>
<li>C.W. Author Name</li>
<li>C.W. Author URL</li>
<li>C.W. Published Date</li>
<li>C.W. Created Date</li>
</ul></li>
<li>Book Subject Information

<ul>
<li>Book ISBN</li>
</ul></li>
<li>Movie Subject Information

<ul>
<li>Movie Cast Names</li>
<li>Movie Director Names</li>
</ul></li>
<li>Product Subject Information

<ul>
<li>Product Brand</li>
<li>Product Offers (name, price, currency, availability)</li>
<li>Product SKU</li>
<li>Product MPN</li>
</ul></li>
<li>Software App Subject Information

<ul>
<li>Operating System</li>
<li>Application Category</li>
<li>Software App Offers (name, price, currency, availability)</li>
</ul></li>
</ul></li>
</ul></li>
<li>Software Application Information

<ul>
<li>Operating System</li>
<li>Application Category</li>
</ul></li>
</ul></li>
</ul>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/install-the-plugin/">Install the WPSSO Core Plugin</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/uninstall-the-plugin/">Uninstall the WPSSO Core Plugin</a></li>
</ul>

<h3>Plugin Setup</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/setup-guide/">Setup Guide</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/developer-special-buy-one-get-one-free/">Developer Special: Buy one, Get one Free</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/better-schema-for-woocommerce/">Better Schema for WooCommerce</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/">Integration Notes</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/buddypress-integration/">BuddyPress Integration Notes</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/woocommerce-integration/">WooCommerce Integration Notes</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/wp-ecommerce-integration/">WP eCommerce Integration Notes</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/troubleshooting-guide/">Troubleshooting Guide</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/performance-tuning/">Performance Tuning</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/can-i-use-the-pro-version-on-multiple-websites/">Can I use the Premium plugin on multiple websites?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/does-linkedin-read-the-open-graph-meta-tags/">Does LinkedIn read the Open Graph meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-exclude-ignore-certain-parts-of-the-content-text/">How can I exclude / ignore certain parts of the content text?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-err_too_many_redirects-error/">How can I fix a ERR_TOO_MANY_REDIRECTS error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-generic-http-500-error/">How can I fix a generic HTTP 500 error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-php-fatal-out-of-memory-error/">How can I fix a PHP fatal "out of memory" error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-an-http-error-when-uploading-images/">How can I fix an HTTP error when uploading images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-have-smaller-dimensions-for-the-default-image/">How can I have smaller dimensions for the default image?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-see-what-the-facebook-crawler-sees/">How can I see what the Facebook crawler sees?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-share-a-single-nextgen-gallery-image/">How can I share a single NextGEN Gallery image?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-attach-an-image-without-showing-it-on-the-webpage/">How do I attach an image without showing it on the webpage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-google-structured-data-hatom-errors/">How do I fix Google Structured Data &gt; hatom errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-my-themes-front-page-pagination/">How do I fix my theme's front page pagination?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-install-the-wpsso-pro-version/">How do I install the WPSSO Core Premium plugin?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-remove-duplicate-meta-tags/">How do I remove duplicate meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-images/">How does WPSSO Core find / detect / select images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-videos/">How does WPSSO Core find / detect / select videos?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/w3c-says-there-is-no-attribute-property/">W3C says "there is no attribute 'property'"</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-are-some-html-elements-missing-misaligned-different/">Why are some HTML elements missing / misaligned / different?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-facebook-show-the-wrong-image-text/">Why does Facebook show the wrong image / text?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-google-structured-data-testing-tool-show-errors/">Why does Google Structured Data Testing Tool show errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-is-the-open-graph-title-the-same-for-every-webpage/">Why is the Open Graph title the same for every webpage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-shouldnt-i-upload-small-images-to-the-media-library/">Why shouldn't I upload small images to the Media library?</a></li>
</ul>

<h3>Advanced Documentation and Notes</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/">About WPSSO Core Premium Integration Modules</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/author-gravatar/">Author Gravatar</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/co-author-plus/">Co-Author Plus</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/easy-digital-downloads/">Easy Digital Downloads</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/facebook-slideshare-vimeo-wistia-youtube-video-apis/">Facebook, Slideshare, Vimeo, Wistia, Youtube Video APIs</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/nextcellent-gallery-and-nextgen-gallery/">NextCellent Gallery and NextGEN Gallery</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/polylang/">Polylang</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/the-events-calendar/">The Events Calendar</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/woocommerce/">WooCommerce</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/yoast-seo-aka-wordpress-seo/">Yoast SEO (aka WordPress SEO)</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/constants/">Constants</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/constants/all/">All Constants</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/all/">All Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/define-a-custom-post-type-cpt-as-a-product/">Define a Custom Post Type (CPT) as a Product</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/detect-youtube-url-links-as-videos/">Detect YouTube URL Links as Videos</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-articletag-keywords-names/">Modify the "article:tag" Keywords / Names</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-default-article-sections-list/">Modify the Default Article Section List</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-home-page-title-for-facebook-open-graph/">Modify the Home Page Title for Facebook / Open Graph</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-sharing-url/">Modify the Sharing URL</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/remove-hentry-from-theme-templates/">Remove / Fix 'hentry' Errors in your Theme Templates</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/strip-additional-shortcodes/">Strip Additional Shortcodes</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/use-the-request_uri-for-post-urls/">Use the REQUEST_URI for Post URLs</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/working-with-pre-defined-meta-tags-and-custom-post-types/">Working with Pre-defined Meta Tags and Custom Post Types</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/">Filters by Category</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/head/">Head Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/media/">Media Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/open-graph/">Facebook / Open Graph Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/twitter-card/">Twitter Card Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/webpage/">Webpage Filters</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/other/">Other Filters</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/the-mod-variable/">The $mod Variable</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/inline-variables/">Inline Variables</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/multisite-network-support/">Multisite / Network Support</a></li>
</ul>


